


import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:lead_management/presentation/utils/colors.dart';
import 'package:lead_management/presentation/utils/hexColors.dart';

class AddDeleteProductWidget extends StatefulWidget
{
  @override
  AddDeleteProductWidgetState createState() => AddDeleteProductWidgetState();
}


class AddDeleteProductWidgetState extends State<AddDeleteProductWidget>
{

  int count=0;
  @override
  Widget build(BuildContext context) {


    return Row(
     children: [
       SizedBox(
         height: 40,width: 40,
         child: Container(
             decoration: BoxDecoration(
                 border: Border.all(
                   color: HexColor(AppColors.blueApp),
                 ),
                 borderRadius: BorderRadius.all(Radius.circular(12))
             ),
             child: IconButton(icon: Icon(Icons.remove), onPressed: () {
               if(count!=0)
                 {
                   count=count-1;
                 }

               setState(() {

               });

             },)
         ),
       ),



       Padding(
         padding: const EdgeInsets.all(8.0),
         child: Text(count.toString()),
       ),
       SizedBox(
         height: 40,width: 40,
         child: Container(
             decoration: BoxDecoration(
                 border: Border.all(
                   color: HexColor(AppColors.blueApp),
                 ),
                 borderRadius: BorderRadius.all(Radius.circular(12))
             ),
             child: IconButton(icon: Icon(Icons.add), onPressed: () {
               count=count+1;
               setState(() {

               });
              },)
         ),
       )


     ],




    );
  }

}